commit: 5259d23ea883b3dd7b79f43f6dd29c3357d2858d
Author: Alessandro Barbieri <lssndrbarbieri <AT> gmail <DOT> com>
AuthorDate: Sat May 7 02:10:44 2022 +0000
Commit: Alessandro Barbieri <lssndrbarbieri <AT> gmail <DOT> com>
CommitDate: Sat May 7 02:11:22 2022 +0000
URL: https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=5259d23e
octaveforge.eclass: add missing --no-gui, --eval
Signed-off-by: Alessandro Barbieri <lssndrbarbieri <AT> gmail.com>
eclass/octaveforge.eclass | 4 ++--
1 file changed, 2 insertions(+), 2 deletions(-)
diff --git a/eclass/octaveforge.eclass b/eclass/octaveforge.eclass
index 25ac74efc..d02072fd5 100644
--- a/eclass/octaveforge.eclass
+++ b/eclass/octaveforge.eclass
@@ -209,9 +209,9 @@ octaveforge_pkg_postrm() {
mkdir -p "${OCT_PKGDIR}" || die
fi
cmd="pkg('rebuild');"
- "${OCT_BIN}" -H --silent "${cmd}" || die 'failed to rebuild the package
database'
+ "${OCT_BIN}" -H --silent --no-gui --eval "${cmd}" || die 'failed to
rebuild the package database'
}
octavecommand() {
- "${OCT_BIN}" -H -q --no-site-file --eval "$1"
+ "${OCT_BIN}" -H -q --no-site-file --no-gui --eval "$1"
}